
cls 
*---------------------------------------------------------------------*
* Merging GTI to PALMS
*------------------------------------------------------------------	
cls 

clear all

cap log close

log using master.log, text replace

*** Setting Global variable for ease of folder navigation
global data "$master\Data"
global temp "$data\temp"
global tasks "$master\Data\GTI\tasks"
global outputdata "$data\outputdata"
gl PALMS "$data\palms"
gl RESULTS "$master\output"

set more off

/*import excel "$data/ISCO08crosswalk/crosswalk_isco08_isco88.xlsx", firstrow clear

 destring isco08, replace
  destring isco88,replace
  keep isco08 isco88
  
save "$data/ISCO08crosswalk/crosswalk_isco08_isco88.dta", replace
*/
use "$tasks/greentasksSA.dta", clear
*ren code code08
ren code isco08

collapse rank_Narrow GTI_Narrow rank_Broad GTI_Broad task_count GTNarrow GTBroad, by(isco08)
	keep if isco08!=.

	joinby isco08 using "$data/ISCO08crosswalk/crosswalk_isco08_isco88.dta"
	
	collapse (mean) rank_Narrow GTI_Narrow rank_Broad GTI_Broad task_count GTNarrow GTBroad, by(isco88) 
	
	sort isco88
	ren isco88 occupation2
save "$outputdata/greenOCCS_isco88.dta", replace


